sahara (2:17.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 17.x series
  * New upstream release for OpenStack Zed.
  * d/p/adapt-to-new-jsonschema-versions.patch: Restored. This is
    still required.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:55:38 -0400

sahara (2:16.0.0+git2022091213.b4ea6ad2-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/p/adapt-to-new-jsonschema-versions.patch: Dropped. Fixed in
    upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:53:54 -0400

sahara (2:16.0.0+git2022071414.c943f4a5-0ubuntu2) kinetic; urgency=medium

  * d/py3dist-overrides: Add Flask to allow lower min version from Ubuntu.
  * d/p/adapt-to-new-jsonschema-versions.patch: This fixes the majority of
    the new jsonschema unit test failures.
  * d/p/skip-test.patch: Skip the last jsonschema failure until it is fixed
    upstrema.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jul 2022 14:13:44 -0400

sahara (2:16.0.0+git2022071414.c943f4a5-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:51:59 -0400

sahara (2:16.0.0+git2022060610.f0e5e995-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:35:18 -0400

sahara (2:16.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 16.x series
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:11:34 -0400

sahara (2:15.0.0+git2022030314.f6a4a6e0-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 14:40:29 -0500

sahara (2:15.0.0+git2021120910.804ea377-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:21:33 -0500

sahara (2:15.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 15.x series
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 12:45:51 -0400

sahara (2:14.0.0+git2021090912.e0136189-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:05:52 -0400

sahara (2:14.0.0+git2021061405.a0de19e4-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:22:44 +0000

sahara (2:14.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 12:50:15 +0000

sahara (2:14.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 14.x series
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 24 Mar 2021 11:44:35 +0000

sahara (2:13.0.0+git2020121013.b8ad624e-0ubuntu2) hirsute; urgency=medium

  * d/rules: Explicitly configure PBR version

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 04 Jan 2021 09:58:32 +0000

sahara (2:13.0.0+git2020121013.b8ad624e-0ubuntu1) hirsute; urgency=medium

  * Increment epoch to align with new snapshot plan.
  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Dec 2020 13:21:24 +0000

sahara (1:13.1.0~b1~git2020120812.8cba2f25-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 08 Dec 2020 12:36:26 +0000

sahara (1:13.0.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-mysql8-compatibility.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 12:29:48 -0400

sahara (1:13.0.0~b2~git2020073016.7cdda56b-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/copyright: Update upstream URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 16:04:13 -0400

sahara (1:13.0.0~b1~git2020070716.b69670af-0ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Move all python specific package dependencies to
      python3-sahara binary packge.
    - d/control, d/rules: Switch to debhelper compat 12 and pybuild.
    - d/control, d/sahara-api.*: Drop uwsgi in favor of apache2+mod_wsgi.
    - d/gbp.conf: Add gbp and pristine-tar config.
    - d/p/use-flask-builtin-method-for-test-context.patch: Cherry-picked
      from upstream stable/ussuri (https://review.opendev.org/#/c/728566/)
      to fix unit test failures with Python 3.8 (LP: #1878978).
    - d/p/add-mysql8-compatibility.patch: Ensure test setup is compatible
      with MySQL 8.
    - d/sahara-common.install, d/python3-sahara.install: Dropped. Not needed.
    - d/rules: Run all unit tests.
    - d/rules: Set keystone_authtoken password in sahara.conf.
    - d/rules: Use debian/python3-sahara instead of debian/tmp.
    - d/sahara-common.postinst.in: Refactor to standardise /etc, /var/lib and
      /var/log ownership and permissions (LP: #1859422).
    - d/sahara-common.postinst.in, d/sahara-common.postrm.in: Drop install/rm
      of policy.json in /etc/sahara as default policies have been moved into
      code.
    - d/tests/*, d/control: Add autopkgtests.
    - d/watch: Get tarball from tarballs.opendev.org.
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/use-flask-builtin-method-for-test-context.patch: Dropped. Fixed
    upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/rules: Limit unit test execution to install step.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jul 2020 16:30:37 -0400

sahara (1:12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 19:20:16 +0200

sahara (1:12.0.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 12.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/p/use-flask-builtin-method-for-test-context.patch: Cherry-picked
    from upstream stable/ussuri (https://review.opendev.org/#/c/728566/)
    to fix unit test failures with Python 3.8 (LP: #1878978).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 May 2020 15:45:40 -0400

sahara (1:12.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 13:49:21 +0200

sahara (1:12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove Fix_syntax_error_in_image_widths.patch.
  * Blacklist utils.test_api.APIUtilsTest.test_render_pagination().

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 16:45:24 +0200

sahara (1:12.0.0~b3~git2020041014.0825bdde-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/sahara-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:13:17 -0400

sahara (1:12.0.0~b3~git2020032616.0825bdde-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/sahara-common.postinst.in: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 16:50:12 +0000

sahara (1:12.0.0~b2~git2020020610.75df1e93-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 11:28:08 +0100

sahara (1:12.0.0~b1~git2019121815.bb2f1f58-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop py2 BDs.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:09:09 -0500

sahara (1:11.0.0-4) unstable; urgency=medium

  * Add Fix_syntax_error_in_image_widths.patch (Closes: #955088).

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Apr 2020 12:40:41 +0200

sahara (1:11.0.0-3) unstable; urgency=medium

  * Blacklist 3 unit tests which are failing, and have been reported upstream
    at: https://storyboard.openstack.org/#!/story/2007450. (Closes: #954583).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Mar 2020 16:37:47 +0100

sahara (1:11.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 22:32:33 +0200

sahara (1:11.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 19:17:50 +0200

sahara (1:11.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:23:48 +0100

sahara (1:11.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2019 09:37:28 +0200

sahara (1:11.0.0~rc1-0ubuntu3) eoan; urgency=medium

  * d/t/control: Add curl to Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 02 Oct 2019 08:08:15 +0100

sahara (1:11.0.0~rc1-0ubuntu2) eoan; urgency=medium

  * d/t/control: Add allow-stderr to Restrictions.

 -- James Page <james.page@ubuntu.com>  Tue, 01 Oct 2019 19:58:15 +0100

sahara (1:11.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/p/add-mysql8-compatibility.patch: Ensure test setup is compatible
    with MySQL 8.
  * d/t/watcher-daemons: Avoid usage of IDENTIFIED BY on GRANT, enabling
    compatibility with MySQL 8.
  * d/sahara-api.conf: Align site config with other OpenStack packages.
    This also fixes the current autopkgtest failure where sahara API can't
    access /etc/sahara/sahara.conf.
  * d/watch: Scope to 11.x series.
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 08:54:04 -0400

sahara (1:11.0.0~b2~git2019073018.2287d92f-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:58:19 +0200

sahara (1:11.0.0~b1~git2019061816.8c941ed1-0ubuntu1) eoan; urgency=medium

  * New upstream release 11.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Fix binary name to generate confile files.
  * d/rules: Fix binary name to generate policy sample.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 09:40:20 +0100

sahara (1:10.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 19:48:25 +0200

sahara (1:10.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 May 2019 19:06:21 +0200

sahara (1:10.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 10:58:37 +0200

sahara (1:10.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:35:00 +0100

sahara (1:10.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Add 2 missing new (build-)dependencies.
  * Do not use python3- prefix when calling config generators.
  * Removed fix-format-ssh-key-to-pem.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Mar 2019 11:15:28 +0100

sahara (1:10.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 10.x series.
  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 10:39:48 -0400

sahara (1:10.0.0~b2~git2019031321.cd68ad36-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 21:33:47 -0400

sahara (1:10.0.0~b2~git2019013112.7f8c565d-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 12:46:51 -0500

sahara (1:10.0.0~b1~git2018111913.b7e3567c-0ubuntu2) disco; urgency=medium

  * d/tests/sahara-daemons: sqlalchemy now defaults to mysqldb so we must
    override the driver to use pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Jan 2019 20:19:46 -0500

sahara (1:10.0.0~b1~git2018111913.b7e3567c-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:49:15 -0500

sahara (1:9.0.0-2) unstable; urgency=medium

  [ Michal Arbet ]
  * Add fix-format-ssh-key-to-pem.patch
  * Enable failing tests

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 25 Sep 2018 14:52:43 +0200

sahara (1:9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove /etc/sahara/policy.json on purge (Closes: #905506).
  * Uploading to unstable.
  * Blacklist 2 unit test due to SSL test failures:
    - test_crypto.CryptoTest.test_to_paramiko_private_key
    - test_crypto.CryptoTest.test_generate_key_pair

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 19:53:12 +0200

sahara (1:9.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-sahara conflicts on each other.
    - d/python(3)-sahara.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:49:04 -0400

sahara (1:9.0.0~rc2-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Defines PYARGV in sahara-api.init.in to correctly load the config file.
  * Add fix-flask.request.content_length-is-none-in-sahara-api.patch.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-flask.request.content_length-is-none-in-sahara-api.patch
    applied upstream.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 May 2018 09:14:15 +0200

sahara (1:9.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 16:50:30 -0400

sahara (1:9.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/use-register_error_handler.patch: Droped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 10:19:51 -0400

sahara (1:9.0.0~b2-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-sahara package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      sahara-common depends on python-sahara by default and python3-sahara
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-sahara packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/sahara-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-sahara.post*, d/python(3)-sahara.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-sahara.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for sahara daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/sahara-api.*, d/control: Drop uwsgi in favor of mod_wsgi.
    - d/p/extend-config-grabbing-magic-to-new-oslo.config.patch: Cherry-picked
      from upstream master. Enables sahara-engine daemon to start in dep8 test.
    - d/rules: Set keystone_authtoken password in sahara.conf.
  * d/watch: Scope to 9.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/extend-config-grabbing-magic-to-new-oslo.config.patch: Dropped. Fixed
    in new upstream milestone.
  * d/p/use-register_error_handler.patch: Cherry-pick from upstream gerrit
    to enable Sahara API to be run as a wsgi application.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 Jun 2018 10:47:23 -0400

sahara (1:8.0.1-1) unstable; urgency=medium

  * Switched sahara-api to uwsgi (b-d: openstack-pkg-tools >= 79~).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 May 2018 21:54:14 +0200

sahara (1:8.0.0-2) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 18:00:00 +0000

sahara (1:8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.
  * Extended the python3-sahara lintian-overrides.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 09:50:55 +0000

sahara (1:8.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 16:11:00 -0500

sahara (1:8.0.0~rc1-2) unstable; urgency=medium

  * Fixed debian/copyright holder list and years.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Feb 2018 00:58:16 +0100

sahara (1:8.0.0~rc1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 23:47:08 +0100

sahara (1:8.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 09:42:37 -0500

sahara (1:8.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/watch: Scope to Queens series.
  * d/rules: Use oslopolicy-sample-generator for config file generation.
  * d/rules, d/sahara-common.install: Drop install of policy.json as default
    policies have been moved into code.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 15:23:30 -0500

sahara (1:8.0.0~b1-0ubuntu2) bionic; urgency=low

  * Switch Build-Depends: to python-sphinxcontrib.httpdomain to follow
    upstream rename.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 22 Nov 2017 14:39:07 +0000

sahara (1:8.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/control: Drop python-bashate BD as it's not needed for Ubuntu builds.
  * d/rules, d/sahara-common.install: Account for move of config files from
    share/sahara to etc/sahara and generate sahara.conf.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Nov 2017 09:12:32 -0500

sahara (1:7.0.0-4) unstable; urgency=medium

  [ David Rabel ]
  * Add initial ru.po (Closes: #883463)

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 08:58:14 +0100

sahara (1:7.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add e2fsprogs to Depends (Closes: #887246).

 -- Ondřej Nový <onovy@debian.org>  Wed, 17 Jan 2018 15:18:12 +0100

sahara (1:7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated fr.po (Closes: #876312).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 10:44:42 +0200

sahara (1:7.0.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed oslo-config-generator namespace list for this release.
  * Drop the 2 requirements.txt patches.
  * Remove b-d on dh-systemd.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Oct 2017 00:41:40 +0200

sahara (1:7.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 14:45:33 +0100

sahara (1:7.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/p/drop-openstackdoctheme.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 21:19:32 -0400

sahara (1:7.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 22:02:17 -0400

sahara (1:7.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:19:23 -0400

sahara (1:7.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 15:21:48 -0400

sahara (1:7.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:11:27 +0100

sahara (1:7.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 18 May 2017 08:34:25 +0100

sahara (1:6.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:45:52 -0500

sahara (1:6.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream release for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 09:17:06 -0500

sahara (1:6.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New uptream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 14:01:28 -0500

sahara (1:6.0.0~b2-0ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/gbp.conf: Modified to use pristine-tar.
    - d/control: Update Vcs-* links and maintainers.
    - d/watch: Get tarball from openstack.org.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-requirements.txt.patch: Dropped. Not needed with new versions of
    dh-python.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Jan 2017 15:15:51 -0500

sahara (1:5.0.0-3) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858711).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 12:11:59 +0200

sahara (1:5.0.0-2) unstable; urgency=medium

  * Team upload.
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 14:59:11 +0100

sahara (1:5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:21:53 +0200

sahara (1:5.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Debconf translation:
    - it (Closes: #839527).

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:17:52 +0200

sahara (1:5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Adds debian/python-sahara.lintian-overrides because templates aren't fully
    scripts, and variables are fooling lintian.
  * Patches requirements.txt to allow build on Jessie.
  * Fixed missing EPOC in glanceclient (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 14:52:17 +0200

sahara (1:5.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added new pt_BR.po Brazilian Portuguese debconf templates translation
    (Closes: #829335).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jul 2016 10:49:42 +0200

sahara (1:5.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2016 14:35:07 +0200

sahara (1:4.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * d/rules: Install api-paste.ini.

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821245).
  * Updated Dutch translation for debconf messages (Closes: #823258).

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Apr 2016 00:23:25 +0200

sahara (1:4.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:58:07 +0200

sahara (1:4.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added de.po debconf translation (Closes: #819689).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:13:00 +0200

sahara (1:4.0.0~rc1-3) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:53:38 +0000

sahara (1:4.0.0~rc1-2) experimental; urgency=medium

  * Add patch to install .json files as well.
  * Removed manual cp of alembic migration files, since the above patch makes
    it useless.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 09:38:36 +0200

sahara (1:4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 14:29:00 +0100

sahara (1:4.0.0~b3-3) experimental; urgency=medium

  * Added missing openssh-client and git build-depends-indep.
  * Also install alembic migration missed by PBR.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Mar 2016 19:46:21 +0000

sahara (1:4.0.0~b3-2) experimental; urgency=medium

  * Better default config.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 15:34:33 +0000

sahara (1:4.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed namespaces for generating the config file.
  * Using testr directly to run unit tests.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 14:06:54 +0100

sahara (1:4.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed the use of "dpkg-parsechangelog -S" which doesn't work on Trusty.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 14:42:25 +0100

sahara (1:4.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/doc-conf-git.patch: Drop git commands that fail sphinx-build.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Jan 2016 15:14:16 -0500

sahara (1:4.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Dec 2015 12:28:13 -0500

sahara (1:3.0.0-5) unstable; urgency=medium

  [ Mikhail Ivanov ]
  * d/rules: fix typo in rules with wrong package naming (ie: it was
    sahara-commom instead of common (see the m at the end instead of n)).

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:58:35 +0000

sahara (1:3.0.0-4) unstable; urgency=medium

  * Added q-text-as-data in depends of sahara-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:58:35 +0000

sahara (1:3.0.0-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 09:14:17 +0000

sahara (1:3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 20:05:35 +0000

sahara (1:3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 17:05:17 +0200

sahara (1:3.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 17:25:11 -0400

sahara (1:3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added nl.po.
  * Now sahara-api depends on python-openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Sep 2015 20:02:03 +0000

sahara (1:3.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update for upstream rc versioning.
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 12:16:21 +0100

sahara (1:3.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2015 10:50:55 +0200

sahara (1:3.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 16:03:07 -0400

sahara (1:3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed debian/patches/also-install-alembic-migrations.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Aug 2015 16:30:57 +0200

sahara (1:3.0.0~b2-0ubuntu2) wily; urgency=medium

  * Remove executing db-manage from post installation script
    Currently Sahara doesn't support Sqlite DB and also Mysql or another
    db can be unconfigured, so we need to remove executing of db-manage
    from post installation script.

 -- Denis Egorenko <degorenko@mirantis.com>  Wed, 26 Aug 2015 18:54:51 +0300

sahara (1:3.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 17 Aug 2015 15:02:58 -0400

sahara (1:3.0.0~b1-0ubuntu3) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:29:07 +0100

sahara (1:3.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/rules: Drop OSLO_PACKAGE_VERSION from rules file, not required as
    we always use upstream release tarballs.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jul 2015 12:04:02 +0100

sahara (1:3.0.0~b1-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
    - d/control: Align (build-)depends with upstream.
    - d/p/fix-assert-regex.patch: Dropped. No longer needed.
    - d/p/fix-wrong-MANIFEST.in.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2015 11:29:47 +0100

sahara (2015.1.0-6) unstable; urgency=medium

  * Makes build reproducible thanks to Juan Picca <jumapico@gmail.com>
    (Closes: #788595).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 15:49:50 +0200

sahara (2015.1.0-5) unstable; urgency=medium

  * Patches MANIFEST.in to get alembic_migrations in instead of copying
    them in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2015 00:51:21 +0200

sahara (2015.1.0-4) unstable; urgency=medium

  * Added fr.po thanks to Julien Patriarca (Closes: #785354).

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 May 2015 14:52:18 +0000

sahara (2015.1.0-3) unstable; urgency=medium

  * Removes obsolete patches.
  * Adds new sahara-api and sahara-engine packages, as this is now the
    recommended way to run Sahara. The old sahara package is now a
    metapackage (for compatibility reasons) which depends on them:
    - Moves files to sahara-common.install instead of sahara.install.
    - sahara-common Breaks+Replaces: the old sahara .deb.
    - Moves the sahara API endpoint registration to sahara-api.
    - Moves sahara.logrotate to sahara-common.logrotate, and makes it
      rotate /var/log/sahara/*.log.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 May 2015 13:51:04 +0200

sahara (2015.1.0-2) unstable; urgency=medium

  * Added pt.po translation of Debconf messages (Closes: #784595).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:13:52 +0200

sahara (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 22:02:01 +0000

sahara (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 15:53:55 +0200

sahara (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Jan 2015 17:35:30 +0100

sahara (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - debian/control: Align with upstream dependencies.
    - debian/patches/fix-alembic-migration-for-sqlite-1.patch: Refreshed.
    - debian/rules: Install the correct sample configuration file.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Apr 2015 15:13:04 -0400

sahara (2015.1~b3-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone release:
    - d/control: Align with upstream dependencies.
    - d/p/disable-migration-tests.patch: Dropped. Tests are passed by upstream.

  [ James Page ]
  * d/control: Add missing BD on testresources.
  * d/p/fix-assert-regex.patch: Correct use of assertRegex for python 2.7,
    resolving test failure in Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 11:24:18 +0100

sahara (2015.1~b1-0ubuntu1) vivid; urgency=medium

  * Sync with Debian experimental.
  * Align with other Ubuntu OpenStack packages:
    - d/*: Remove use of dbconfig-common and debconf.
    - d/control: Align with Ubuntu dependency versions.
    - d/sahara-common.postinst.in: Only sync db if sqlite is configured,
      secure permissions on /etc/sahara.
    - d/control: Update Vcs fields.
    - d/control,sahara-api.*,sahara-engine.*: Add new binary packages to
      allow engine and API daemons to be run separately, mark as
      conflicting with all-in-one sahara binary.
  * d/watch: Update to use tarballs.openstack.org for releases.
  * New upstream beta release:
    - d/control: Align with new upstream version requirements.
    - d/rules: Drop install of alembic migrations, now performed upstream.
    - d/p/disable-migration-tests.patch: Disable migration tests has they
      currently depend on running and configured MySQL and PostgreSQL.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jan 2015 15:17:43 +0000

sahara (2014.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Now requires openstack-pkg-tools (>= 20~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Dec 2014 05:17:43 +0000

sahara (2014.2-2) experimental; urgency=medium

  * Fixed the sahara endpoint url from v1 to v1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Oct 2014 20:55:18 +0800

sahara (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 20:10:10 +0800

sahara (2014.2~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Review short description.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Oct 2014 16:04:55 +0800

sahara (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Added python-mysqldb as dependency.
  * Updated (build-)depends for this release.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 13.
  * Removed Use_auth_uri_parameter_from_config.patch applied upstream.
  * Added doc-base registration file in sahara-doc.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 11:16:07 +0800

sahara (2014.2~b3-1) experimental; urgency=medium

  * Initial release. (Closes: #762659)

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 16:34:46 +0800

